org.hibernate.search.cfg

## Class ConcatStringBridge

- java.lang.Object
- - org.hibernate.search.cfg.ConcatStringBridge

- All Implemented Interfaces:
    ParameterizedBridge, StringBridge

      public class ConcatStringBridge
      extends Object
      implements StringBridge, ParameterizedBridge

  Author:
    Emmanuel Bernard

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcatStringBridge()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `objectToString(Object object)` Converts the object representation to a string.
    `void` | `setParameterValues(Map<String,String> parameters)` Called on the bridge implementation to pass the parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SIZE

          public static final String SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConcatStringBridge

          public ConcatStringBridge()

  - ### Method Detail

    - #### objectToString

          public String objectToString(Object object)

      Description copied from interface: `StringBridge`
      Converts the object representation to a string.
      Specified by:
        `objectToString` in interface `StringBridge`
      Parameters:
        `object` - The object to transform into a string representation.
      Returns:
        String representation of the given object to be stored in Lucene index. The return string must not be `null`. It can be empty though.

    - #### setParameterValues

          public void setParameterValues(Map<String,String> parameters)

      Description copied from interface: `ParameterizedBridge`
      Called on the bridge implementation to pass the parameters.
      Specified by:
        `setParameterValues` in interface `ParameterizedBridge`
      Parameters:
        `parameters` - map containing string based parameters to be passed to the parameterized bridge. The map is never `null`.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved